#ifdef ice
subroutine setice (fl3, ijs, ijl, ig)  
use params
use ice1
implicit none

REAL   , INTENT(OUT):: fl3(0:niblo,nang,nfre)
INTEGER, INTENT(IN) :: ijs, ijl, ig
INTEGER K, M, IJ

DO m = 1, nfre
   DO k = 1, nang
      DO ij = ijs, ijl
         IF( icemask(ij,ig) .EQ. 0 ) THEN
!              FL3(IJ,K,M) = ICEMASK(IJ,IG)*FL3(IJ,K,M)
            fl3(ij,k,m) = 0.0
         ENDIF
      ENDDO
   ENDDO
ENDDO

RETURN
END SUBROUTINE setice
#endif
